Export (0) Print
Expand All

Protected Computer Software Prerequisites

Updated: March 14, 2011

Applies To: Data Protection Manager, System Center Data Protection Manager 2007

Each computer that System Center Data Protection Manager (DPM) 2007 protects must meet the requirements listed in the following table. Protected volumes must be formatted as NTFS file system. DPM cannot protect volumes formatted as FAT or FAT32. Also, the volume must be at least 1 gigabyte (GB) for DPM to protect it. DPM uses the Volume Shadow Copy Service (VSS) to create a snapshot of the protected data, and VSS will create a snapshot only if the volume size is greater than or equal to 1 GB.

noteNote
DPM does not support protected computer fully qualified domain names (FQDN) with more than 400 characters.

Before you install protection agents on the computers you are going to protect, you must apply hotfix 940349. You must install the hotfix on your 64-bit and 32-bit servers. If you are installing a protection agent on Windows Vista, the 940349 hotfix is not required.

For more information, see Microsoft Knowledge Base article 940349, "Availability of a Volume Shadow Copy Service (VSS) update rollup package for Windows Server 2003 to resolve some VSS snapshot issues" (http://go.microsoft.com/fwlink/?LinkId=139733).

noteNote
After installing Knowledge Base article 940349 and then restarting the DPM server and/or the protected server, we recommend that you refresh the protection agents in DPM Administration Console. To refresh the agents, in the Management task area, click the Agents tab, select the computer, and then in the Actions pane, click Refresh information. If you do not refresh the protection agents, Error ID: 31008 may appear because DPM only refreshes the protection agents every 30 minutes.

Protected Computer Requirements

 

Protected computers Computer requirements

File servers

You can protect file servers on any of the following operating systems:

  • Windows Server 2003 with Service Pack 1 (SP1) or later (Standard and Enterprise Editions).

  • Windows Advanced Server 2003 with SP1 or later.

  • Windows Server 2003 R2 (Standard and Enterprise Editions).

  • Windows Storage Server 2003 with SP1 or later (Standard, Enterprise and Express Editions).


    noteNote
    To obtain SP1 for Windows Storage Server 2003, contact your original equipment manufacturer.

  • Windows Small Business Server 2003 (Standard and Premium Editions).

  • Windows Small Business Server 2003 R2 (Standard and Premium Editions).

  • Windows Server 2008 (Core, Standard, Enterprise, and Data Center Editions).

  • Windows Server 2008 R2 (Standard and Enterprise Editions).

  • Windows Storage Server 2008

  • Windows 7.

Computers running SQL Server

  • Microsoft SQL Server 2000 with Service Pack 4 (SP4)

  • Microsoft SQL Server 2005 with SP1, SP2, or SP3

  • Microsoft SQL Server 2008

  • Microsoft SQL Server 2008 SP1 or SP2.

noteNote
DPM supports Standard, Enterprise, Workgroup, and Express editions of SQL Server. If you are protecting SQL Server 2005 on Windows Server 2008 operating system, you must install SQL Server 2005 SP2. For more information about running editions of SQL Server on Windows Server 2008 or Windows Vista, see Running SQL Server on Windows Server 2008 or Windows Vista (http://go.microsoft.com/fwlink/?LinkId=142344).

ImportantImportant
You must start the SQL Server VSS Writer Service on computers running SQL Server 2005 SP1 before you can start protecting SQL Server data. The SQL Server VSS Writer Service is turned on by default on computers running SQL Server 2005. To start the SQL Server VSS Writer service, in the Services console, right-click SQL Server VSS writer, and then click Start.

Computers running Exchange Server

  • Exchange Server 2003 with SP2

    - OR -

  • Exchange Server 2007

noteNote
DPM supports Standard and Enterprise Editions of Exchange Server installed on Windows Server 2003 and later versions.

  • Before you can protect Exchange Server 2007 data in a Clustered Continuous Replication (CCR) configuration, you must install hotfix 940006. For more information, see Knowledge Base article 940006, "Description of Update Rollup 4 for Exchange 2007" (http://go.microsoft.com/fwlink/?LinkId=99291).

ImportantImportant
The eseutil.exe and ese.dll versions that are installed on the most recent edition of Exchange Server must be the same versions that are installed on the DPM server.

In addition, you must update eseutil.exe and ese.dll on the DPM server if they are updated on a computer running Exchange Server after applying an upgrade or an update.

For more information about updating eseutil.exe and ese.dll, see Eseutil.exe and Ese.dll.

Computers running Virtual Server

  • Microsoft Virtual Server 2005 R2 SP1

noteNote
To protect virtual machines for online backups, we recommend that you install version 13.715 of Virtual Machine Additions (http://go.microsoft.com/fwlink/?LinkId=84271).

Windows SharePoint Services

  • Windows SharePoint Services 3.0

  • Microsoft Office SharePoint Server 2007

Before you can protect Windows SharePoint Services (WSS) data, you must do the following:

  • Install Knowledge Base article 941422, "Update for Windows SharePoint Services 3.0" (http://go.microsoft.com/fwlink/?LinkId=100392).

    noteNote
    You must install Knowledge Base article 941422 on all protected servers on which Windows SharePoint Services 3.0, Microsoft Office SharePoint Server 2007, or Microsoft Office SharePoint Server 2007 SP1 are installed.

  • Start the WSS Writer service on the WSS Server and then provide the protection agent with credentials for the WSS farm. For more information, in Configuring DPM 2007, see "Starting and Configuring the WSS VSS Writer Service" (http://go.microsoft.com/fwlink/?LinkId=100247).

  • Update the instance of SQL Server 2005 to SQL Server 2005 SP1, SP2, or SP3.

  • Install the SQL Server Client components on the front-end web server of the Windows SharePoint Services farm that DPM is going to protect. For more information about installing SQL Server 2005 components, see How to: Install SQL Server 2005 (http://go.microsoft.com/fwlink/?LinkId=147257) and for SQL Server 2008 components, see How to: Install SQL Server 2008 (http://go.microsoft.com/fwlink/?LinkId=110346).

Shared disk clusters

  • File servers

  • SQL Server 2000 with SP4

  • SQL Server 2005 with SP1

  • Exchange Server 2003 with SP2

  • Exchange Server 2007

Non-shared disk clusters

  • Exchange Server 2007

Workstations

  • Windows XP Professional SP2

  • All Windows Vista editions except Home (must be a member of a domain)

    noteNote
    DPM requires that the workstations and laptops that it protects be Active Directory members. Therefore, they must remain connected to the corporate local area network (LAN) at all times using reliable and consistent networks.

Eseutil.exe and Ese.dll

The versions of the Exchange Server Database Utilities (eseutil.exe) and ese.dll that are installed on the computer running the most recent edition of Exchange Server must be the same versions that are installed on the DPM server.

You use the Microsoft Exchange Server 2007 management tools to maintain up-to-date copies of eseutil.exe and ese.dll. Exchange Server 2007 is a native 64-bit application that includes 64-bit management tools. You can use the management tools to remotely administer your Exchange Server environment. If the remote computer is running a 32-bit operating system, you must download the Microsoft Exchange Server 2007 32-bit management tools (http://go.microsoft.com/fwlink/?LinkId=112325). The management tools are supported by all update methods such as Microsoft Update and Microsoft Systems Management Server (SMS).

To maintain up-to-date copies of eseutil.exe and ese.dll

  1. Install the Microsoft Exchange Server 2007 management tools on the DPM Server. When you install the management tools, ensure that you install the management tools for the latest version of Microsoft Exchange that you are protecting. For example, if one of your mail servers is running Microsoft Exchange 2007 and another mail server is running Microsoft Exchange 2007 SP1, you must install the management tools for Microsoft Exchange 2007 (SP1).

    noteNote
    If you installed DPM 2007 on a Windows Server 2008 operating system, and you are protecting Exchange Server 2003 on a Windows Server 2003 computer, you must install the Exchange Server 2007 version of the eseutil.exe and ese.dll files. You can download this version from the Microsoft Exchange Server 2007 Management Tools (http://go.microsoft.com/fwlink/?LinkId=112325).

  2. From the command prompt, in the <DPM installation folder>\Bin directory, use the following syntax with the fsutil command to create a hard link for eseutil.exe:
    fsutil hardlink create <link> <target>
    On a typical installation, the command would look like the following:
    Fsutil hardlink create “c:\program files\Microsoft DPM\DPM\bin\eseutil.exe” “c:\program files\microsoft\Exchange\bin\eseutil.exe”

See Also

Was this page helpful?
(1500 characters remaining)
Thank you for your feedback

Community Additions

ADD
Show:
© 2014 Microsoft